pam 升到 1.1.8-3 ...

pam 升到 1.1.8-3 後,vsftpd 的 virtual user 功能就爛掉了

檢查了 auth.log 以後,發現噴了

Feb 20 00:35:49 localhost vsftpd:  
PAM unable to dlopen(/usr/lib/security/pam_userdb.so):  
/usr/lib/security/pam_userdb.so: cannot open shared object file:  
No such file or directory  

/usr/lib/security 裡查看,發現 pam_userdb.so 消失了

推測問題出在這,到 Google 丟了 /usr/lib/security/pam_userdb.so 進行搜尋

查到這兩篇文章

原來是被移除掉了

從底下的回應看起來好像只看到 vsftpd 的 virtual user 功能受到影響

兩篇的回應都有人提到 pam_pwdfile 這個套件,
不過是在 AUR 上而非官方套件,而且用的人好像有點少,所以不考慮。

目前的解法還是用

$ sudo pacman -U /var/cache/pacman/pkg/pam-1.1.8-2-x86_64.pkg.tar.xz  

將 pam 先降級回 pam 1.1.8-2


Share


Donation

如果覺得這篇文章對你有幫助, 除了留言讓我知道外, 或許也可以考慮請我喝杯咖啡, 不論金額多寡我都會非常感激且能鼓勵我繼續寫出對你有幫助的文章。

If this blog post happens to be helpful to you, besides of leaving a reply, you may consider buy me a cup of coffee to support me. It would help me write more articles helpful to you in the future and I would really appreciate it.


Related Posts